Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 May 2014 21:17:36 +0300

> From: Sergio Pokrovskij <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 15 May 2014 00:24:47 +0700
> 
>   Eli> IOW, why isn't that .dir-locals.el setting of yours not a
>   Eli> cockpit error?
> 
> Because there is no appropriate means to impose a reasonable
> condition.  Just the "nil" or a major mode name.  It may happen
> that I do not know the a-priori mode; actually it is mode that I
> would like to set.

Why would someone want to apply a fixed major mode to all the files in
a directory?

> ,----
> | Whenever Emacs visits any file IN THAT DIRECTORY or any of its
> | subdirectories, it will apply the directory-local variables
> | specified in `.dir-locals.el', AS THOUGH THEY HAD BEEN DEFINED AS
> | FILE-LOCAL VARIABLES for that file ...
> `----

Are you saying that "." is not a file?